<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{5EAFA05F-C2C0-40B3-9C8F-46D8559148D0}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>SicRT</RootNamespace>
    <AssemblyName>SicRT</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <Deterministic>true</Deterministic>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkProfile />
    <DisableOutOfProcTaskHost>true</DisableOutOfProcTaskHost>
    <LangVersion>latestmajor</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Resources\MyLogoTray.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="KXGEM">
      <HintPath>..\..\Dependencies\KXGEM.dll</HintPath>
    </Reference>
    <Reference Include="log4net">
      <HintPath>..\..\Dependencies\log4net.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Equipments\DemoUtils.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerDBCallback.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerAligner.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerCassette.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerLoadLock.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerTrayRobot.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerUnLoad.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerWaferRobot.cs" />
    <Compile Include="Equipments\Systems\DeviceManager.cs" />
    <Compile Include="Equipments\ReturnAllWafer.cs" />
    <Compile Include="Equipments\AutoTransfer.cs" />
    <Compile Include="Equipments\HomeAll.cs" />
    <Compile Include="Equipments\ManualTransfer.cs" />
    <Compile Include="Equipments\Systems\EquipmentManager.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerBuffer.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerModule.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerPM.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerTMRobot.cs" />
    <Compile Include="Equipments\Schedulers\SchedulerModuleFactory.cs" />
    <Compile Include="Properties\Annotations.cs" />
    <ApplicationDefinition Include="Instances\App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="Instances\App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
    </Compile>
    <Compile Include="Instances\RtInstance.cs" />
    <Compile Include="Instances\ToolLoader.cs" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Config\Gem.exml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\System.sccfg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <SubType>Designer</SubType>
    </None>
    <None Include="PreReleaseNotes.md" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\DBModel.sql">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\EventDefine.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <SubType>Designer</SubType>
    </None>
    <None Include="Config\IoProviderConfig.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <SubType>Designer</SubType>
    </None>
    <None Include="Config\STEvents.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Framework\MECF.Framework.Common\MECF.Framework.Common.csproj">
      <Project>{efad063f-fa97-42b7-87f8-8279eba30d34}</Project>
      <Name>MECF.Framework.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Framework\MECF.Framework.RT.Core\MECF.Framework.RT.Core.csproj">
      <Project>{bcbd839a-c9a0-4be7-98ca-b0a88ad38e5a}</Project>
      <Name>MECF.Framework.RT.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Framework\MECF.Framework.RT.EquipmentLibrary\MECF.Framework.RT.EquipmentLibrary.csproj">
      <Project>{090a1e9c-1087-4c8a-b4e0-ff074459e071}</Project>
      <Name>MECF.Framework.RT.EquipmentLibrary</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Framework\MECF.Framework.UI.Client\MECF.Framework.UI.Client.csproj">
      <Project>{a40b734c-f2ec-453c-a5fb-70cd46452bf1}</Project>
      <Name>MECF.Framework.UI.Client</Name>
    </ProjectReference>
    <ProjectReference Include="..\Modules\SicModules\SicModules.csproj">
      <Project>{424e9610-fa50-49cd-b5be-baf256dbf327}</Project>
      <Name>SicModules</Name>
    </ProjectReference>
    <ProjectReference Include="..\Modules\SicModules\SicModules.csproj">
      <Project>{424e9610-fa50-49cd-b5be-baf256dbf327}</Project>
      <Name>SicModules</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <None Include="ReleaseNotes.md">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\SequenceFormat.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\MyLogoTray.ico" />
    <None Include="Config\Account\Account.xml">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\Menu.xml">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Maintain\Maintain.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <Resource Include="Maintain\x1.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Maintain\x2.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>